package model

type ListDeleteUTMIDsReq struct {
	/* - список айдишников utm которые удалить*/
	Utms []int32 `json:"utms"`
}

type PaginationReq struct {
	/* - указание страницы пагинации. Если страница не указана, применять 0*/
	Page int `json:"page"`
	/* - указание размера страницы пагинации. По умолчанию применять 25*/
	Size int32 `json:"size"`
}

type RulesReq struct {
	PerformerID int32 // айдишник ответственного за сделку
	PipelineID  int32 // айдишник воронки
	StepID      int32 // айдишник этапа
	//Utms        []int32    // список UTM для этого опроса
	Fieldsrule Fieldsrule // правила заполнения полей сущностей в амо
	TagsToAdd  TagsToAdd
}

//type SaveUserListUTMReq struct {
//	/* - список utm для сохранения. сохранять только те, которых в этом аккаунте ещё нет*/
//	Utms []UTM `json:"utms"`
//}
