package model

import "time"

type TgAccount struct {
	ID          int64
	ApiID       int32
	ApiHash     string
	PhoneNumber string
	Password    string
	Status      TgAccountStatus
	Deleted     bool
	CreatedAt   time.Time
}

type TgAccountStatus string

const (
	ActiveTg   TgAccountStatus = "active"
	InactiveTg TgAccountStatus = "inactive"
	BanTg      TgAccountStatus = "ban"
)

type TgRedisTask struct {
	Name      string
	QuizID    int32
	AccountID string
}
