package utils

func BinarySearch(target int64, array []int64) bool {
	left := 0
	right := len(array) - 1

	for left <= right {
		mid := (left + right) / 2

		if array[mid] == target {
			return true
		} else if array[mid] < target {
			left = mid + 1
		} else if array[mid] > target {
			right = mid - 1
		}
	}

	return false
}
